Bug 1466391 - [RFE] Need to support Glance image replication and synchronization across multiple Ceph Backend Stores.
[RFE] Need to support Glance image replication and synchronization across mul...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
unspecified Severity high
: Upstream M1
: ---
Assigned To: Cyril Roelandt
Mike Abrams
: FutureFeature, Triaged
Depends On: 1225775
Blocks: 1459148 1476900
  Show dependency treegraph
 
Reported: 2017-06-29 09:59 EDT by Bertrand
Modified: 2018-02-08 14:08 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertrand 2017-06-29 09:59:16 EDT
In the distributed compute use case, the single control zone hosting the controllers is separated from the multiple compute zones hosting the compute nodes.
It is assumed here that Glance will use multiple Ceph Backend Stores in respective compute zone to minimize image transfer and thus decrease instance spin up time.
In such situation it is important to be able to upload images once and replicate those on multiple Glance Backend stores as well as keeping those in sync on all remote compute zones.

Thus VM images made available through Glance will need to be replicated and synchronized on the multiple respective Ceph Backend Stores on respective compute zones.

One of the reason is that downloading an image from the central control zone over a WAN to a remote compute zone would be time consuming. 
It is critical to be able to spin up new VMs (VNFs) quickly as it is expected to launch new instances in the compute zone in less that a minute or so. 

This RFE depends on Bug 1225775 - [RFE] Glance should be able to manage multiple Ceph clusters as backends


Similar blueprint:
https://blueprints.launchpad.net/glance/+spec/image-bits-replication

Also in term of image replication, there is: glance-replicator utility.
https://docs.openstack.org/developer/glance/cli/glancereplicator.html
Comment 1 Sean Cohen 2017-08-09 09:21:29 EDT
Pushing out to OSP14 for review,

I suggest to investigate Images synchronization at Kingbird level 

[1] https://blueprints.launchpad.net/kingbird/+spec/image-synchronization
[2] https://review.openstack.org/#/c/462551/

Sean

Note You need to log in before you can comment on or make changes to this bug.